編譯 Rust 程式庫時遇到錯誤,該程式庫依賴於 OpenSSL,目標平台為 Android (x86_64-linux-android)

https://stackoverflow.com/questions/78683437/error-compiling-rust-library-with-openssl-dependency-for-android-x86-64-linux-a

嘗試將 Rust 庫中的 OpenSSL 依賴刪除,則編譯成功。由於問題來自 Ring crate,尋找的 x86_64-linux-android-clang 工具未安裝。目前搜尋未有明確解答。版本資訊:Cargo 1.79.0、Rustup 1.27.1、Android Studio Koala、Kotlin 1.8 / Java 17、LLVM 18.1.6。請問如何成功編譯 Rust 庫並含有 OpenSSL 依賴的 x86_64-linux-android 目標?

via Newest questions tagged kotlin – Stack Overflow

June 29, 2024 at 12:06AM

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *